Debian Bug report logs - #658829
transition: db5.3

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Ondřej Surý <ondrej@debian.org>

Date: Mon, 6 Feb 2012 09:12:03 UTC

Severity: normal

Tags: confirmed, pending, wheezy-ignore

Merged with 706895

Fix blocked by 740487: clisp: FTBFS on kfreebsd, 743178: gridengine: FTBFS on sparc

Forwarded to http://release.debian.org/transitions/html/db5.3.html

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#658829; Package release.debian.org. (Mon, 06 Feb 2012 09:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 06 Feb 2012 09:12:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: db-defaults
Date: Mon, 06 Feb 2012 09:55:47 +0100
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Hi,

as announce earlier (5.1->5.2->5.3), I would like to start
transition from db5.1 (src:db) to db5.3 (src:db5.3) in unstable.

Hopefully lot of packages have learned from last time and the
transition will be smoothier then the on from db4.{6,7,8} to db5.1.

I would like to ship the wheezy with db5.3 and get rid of db5.1
completely.

db4.7 has been reduced just to utils and db4.8 still has some
dependencies left (with most prominent python2.7), but I would
like to try python2.7 with db5.3, maybe it will help the build
failures Martin Pitt is seeing.

The libdb transition tracker[1] has to be changed to:

Affected: .build-depends ~ /libdb((5|4)\..*)?-dev/
Good: .depends ~ /libdb5\.3/ | .pre-depends ~ /libdb5\.3/
Bad: .depends ~ /libdb(4|5\.1)/ | .pre-depends ~ /libdb(4|5\.1)/

O.

1. http://release.debian.org/transitions/html/libdb.html

-- System Information:
Debian Release: 6.0.4
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#658829; Package release.debian.org. (Mon, 06 Feb 2012 10:09:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 06 Feb 2012 10:09:17 GMT) Full text and rfc822 format available.

Message #10 received at 658829@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Ondřej Surý <ondrej@debian.org>, 658829@bugs.debian.org
Subject: Re: Bug#658829: transition: db-defaults
Date: Mon, 6 Feb 2012 11:04:29 +0100
[Message part 1 (text/plain, inline)]
Thanks for contacting us.

Ondřej Surý <ondrej@debian.org> (06/02/2012):
> as announce earlier (5.1->5.2->5.3), I would like to start
> transition from db5.1 (src:db) to db5.3 (src:db5.3) in unstable.

Since you need to be told explicitly: please wait for an answer before
you start this transition. Thanks already.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#658829; Package release.debian.org. (Mon, 06 Feb 2012 18:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 06 Feb 2012 18:57:06 GMT) Full text and rfc822 format available.

Message #15 received at 658829@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Ondřej Surý <ondrej@debian.org>, 658829@bugs.debian.org
Subject: Re: Bug#658829: transition: db-defaults
Date: Mon, 6 Feb 2012 19:53:28 +0100
[Message part 1 (text/plain, inline)]
On Mon, Feb  6, 2012 at 09:55:47 +0100, Ondřej Surý wrote:

> db4.7 has been reduced just to utils and db4.8 still has some
> dependencies left (with most prominent python2.7), but I would
> like to try python2.7 with db5.3, maybe it will help the build
> failures Martin Pitt is seeing.
> 
Sounds like that should be tested first, otherwise there's little point.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#658829; Package release.debian.org. (Mon, 06 Feb 2012 19:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 06 Feb 2012 19:21:05 GMT) Full text and rfc822 format available.

Message #20 received at 658829@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 658829@bugs.debian.org
Subject: Re: Bug#658829: transition: db-defaults
Date: Mon, 6 Feb 2012 20:17:32 +0100
2012/2/6 Julien Cristau <jcristau@debian.org>:
> On Mon, Feb  6, 2012 at 09:55:47 +0100, Ondřej Surý wrote:
>
>> db4.7 has been reduced just to utils and db4.8 still has some
>> dependencies left (with most prominent python2.7), but I would
>> like to try python2.7 with db5.3, maybe it will help the build
>> failures Martin Pitt is seeing.
>>
> Sounds like that should be tested first, otherwise there's little point.

The main point is to keep close to upstream releases.  But I guess
you are right that it deserves to be tested prior to uploading.  Where
I can buy some free time? :)

O.
-- 
Ondřej Surý <ondrej@sury.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#658829; Package release.debian.org. (Fri, 13 Apr 2012 14:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 13 Apr 2012 14:00:09 GMT) Full text and rfc822 format available.

Message #25 received at 658829@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 658829@bugs.debian.org
Subject: Re: Bug#658829: transition: db-defaults
Date: Fri, 13 Apr 2012 15:57:55 +0200
Hi,

I have just found that there is a transition tracker for db5.3 transition.

Did the release team came to conclusion whether to do this transition or not?

O.

On Mon, Feb 6, 2012 at 20:17, Ondřej Surý <ondrej@debian.org> wrote:
> 2012/2/6 Julien Cristau <jcristau@debian.org>:
>> On Mon, Feb  6, 2012 at 09:55:47 +0100, Ondřej Surý wrote:
>>
>>> db4.7 has been reduced just to utils and db4.8 still has some
>>> dependencies left (with most prominent python2.7), but I would
>>> like to try python2.7 with db5.3, maybe it will help the build
>>> failures Martin Pitt is seeing.
>>>
>> Sounds like that should be tested first, otherwise there's little point.
>
> The main point is to keep close to upstream releases.  But I guess
> you are right that it deserves to be tested prior to uploading.  Where
> I can buy some free time? :)
>
> O.
> --
> Ondřej Surý <ondrej@sury.org>



-- 
Ondřej Surý <ondrej@sury.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#658829; Package release.debian.org. (Fri, 13 Apr 2012 14:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 13 Apr 2012 14:09:02 GMT) Full text and rfc822 format available.

Message #30 received at 658829@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Ondřej Surý <ondrej@debian.org>
Cc: 658829@bugs.debian.org
Subject: Re: Bug#658829: transition: db-defaults
Date: Fri, 13 Apr 2012 16:04:54 +0200
On Fri, Apr 13, 2012 at 15:57:55 +0200, Ondřej Surý wrote:

> Did the release team came to conclusion whether to do this transition or not?
> 
Not as far as I know.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#658829; Package release.debian.org. (Tue, 17 Apr 2012 08:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 17 Apr 2012 08:09:07 GMT) Full text and rfc822 format available.

Message #35 received at 658829@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: 658829@bugs.debian.org
Subject: Re: Bug#658829: transition: db-defaults
Date: Tue, 17 Apr 2012 10:07:04 +0200
Just FYI, I am doing a check for all reverse dependencies on libdb{,4.8,5.1}-dev
and the result so far are quite good:

Number of binNMUable packages: 61
Number of packages I still need to check[*]: 22
Number of packages with invalid dependency on libdb*-dev: 5

The rest of the packages in the tracker are:
bmf: binNMUable,PATCH-NEEDED #669001
gridengine: PATCH-NEEDED,TRANSACTIONS-USED
openldap: MANUAL,PATCH-NEEDED
postler: PATCH-NEEDED
python2.6: MANUAL,IN-TRANSITION
python2.7: MANUAL,PATCH-NEEDED,BUILDS-WITH-5.1
python3.2: MANUAL,PATCH-NEEDED,BUILDS-WITH-5.1
python-bsddb3: UPSTREAM-UPDATE-NEEDED
sendmail: MAINTAINER-MIA,NMU-NEEDED
spamprobe: PATCH-NEEDED
subversion: RC-BUGGY #621460

* - Build failed for various reasons (git-buildpackage not supporting
.xz, and other build failures)

I will report back, when I sort out the rest of the packages in CHECK state.

Looks like the first transition from 4.8 to 5.1 has helped to clean a
lot of the mess in the archive related to Berkeley DB.

-- 
Ondřej Surý <ondrej@sury.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#658829; Package release.debian.org. (Tue, 17 Apr 2012 13:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 17 Apr 2012 13:12:05 GMT) Full text and rfc822 format available.

Message #40 received at 658829@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: 658829@bugs.debian.org
Subject: Re: Bug#658829: transition: db-defaults
Date: Tue, 17 Apr 2012 15:09:05 +0200
Hi release team,

here is the list of packages which are not binNMUable right away:

bogofilter: unrelated-FTBFS (#660717) (test suite failure, so it compiles fine)
ggcov: unrelated-FTBFS (#669099) (test suite failure, so it compiles fine)
gridengine: PATCH-NEEDED (but compiles ok when patched)
libreoffice: CHECK-NEEDED (but it's so huge and there was no problem before)
lusca: unrelated-FTBFS (#669110)
memcachedb: UPSTREAM-FIX-NEEDED (repmgr_set_local_site/repmgr_add_remote_site)
openldap: MANUAL-UPDATE, PATCH-NEEDED
postler: PATCH-NEEDED (but compiles ok when patched)
python2.6: N/A (going away)
python2.7: MANUAL-UPDATE, PATCH-NEEDED
python3.2: MANUAL-UPDATE, PATCH-NEEDED
python-bsddb3: UPSTREAM-UPDATE-NEEDED (but compiles nice when updated)
sendmail: MAINTAINER-MIA, PATCH-NEEDED (maintainer MIA for a long
time, but when patched it compiles)
spamprobe: PATCH-NEEDED
subversion: RC-BUGGY (#621460) (maintainer ignored the previous call
to transition to db5.1)
xastir: unrelated-FTBFS (libgeotiff-dev: libtiff4-dev vs libtiff5-dev)

The rest (83 packages) are either binNMUable or the dependency on
libdb-dev is not used.

The only real obstacle is python, but since it started using db5.1, I
think it won't be a big problem (like bumping from 4.8 to 5.1).

From here, I think db5.3 is ready to go into unstable.

Ondrej

On Tue, Apr 17, 2012 at 10:07, Ondřej Surý <ondrej@debian.org> wrote:
> Just FYI, I am doing a check for all reverse dependencies on libdb{,4.8,5.1}-dev
> and the result so far are quite good:
>
> Number of binNMUable packages: 61
> Number of packages I still need to check[*]: 22
> Number of packages with invalid dependency on libdb*-dev: 5
>
> The rest of the packages in the tracker are:
> bmf: binNMUable,PATCH-NEEDED #669001
> gridengine: PATCH-NEEDED,TRANSACTIONS-USED
> openldap: MANUAL,PATCH-NEEDED
> postler: PATCH-NEEDED
> python2.6: MANUAL,IN-TRANSITION
> python2.7: MANUAL,PATCH-NEEDED,BUILDS-WITH-5.1
> python3.2: MANUAL,PATCH-NEEDED,BUILDS-WITH-5.1
> python-bsddb3: UPSTREAM-UPDATE-NEEDED
> sendmail: MAINTAINER-MIA,NMU-NEEDED
> spamprobe: PATCH-NEEDED
> subversion: RC-BUGGY #621460
>
> * - Build failed for various reasons (git-buildpackage not supporting
> .xz, and other build failures)
>
> I will report back, when I sort out the rest of the packages in CHECK state.
>
> Looks like the first transition from 4.8 to 5.1 has helped to clean a
> lot of the mess in the archive related to Berkeley DB.
>
> --
> Ondřej Surý <ondrej@sury.org>



-- 
Ondřej Surý <ondrej@sury.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#658829; Package release.debian.org. (Tue, 17 Apr 2012 13:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 17 Apr 2012 13:27:03 GMT) Full text and rfc822 format available.

Message #45 received at 658829@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Ondřej Surý <ondrej@debian.org>, 658829@bugs.debian.org
Subject: Re: Bug#658829: transition: db-defaults
Date: Tue, 17 Apr 2012 15:16:55 +0200
Hi,

On Tue, Apr 17, 2012 at 03:09:05PM +0200, Ondřej Surý wrote:
> libreoffice: CHECK-NEEDED (but it's so huge and there was no problem before)

http://cgit.freedesktop.org/libreoffice/core/tree/configure.in?h=libreoffice-3-5#n5113:

[...]
    for dbver in 5.1 5.0 5 4.8 4.7 4; do
        for dash in - ''; do
            AC_CHECK_HEADER([db$dash$dbver/db.h],
                [ db_header="db$dash$dbver/db.h"; break 2 ])
        done
    done
[...]

-> MANUAL-UPDATE, PATCH-NEEDED

Regards,

Rene




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#658829; Package release.debian.org. (Tue, 17 Apr 2012 19:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 17 Apr 2012 19:36:03 GMT) Full text and rfc822 format available.

Message #50 received at 658829@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Ondřej Surý <ondrej@debian.org>, 658829@bugs.debian.org
Subject: Re: Bug#658829: transition: db-defaults
Date: Tue, 17 Apr 2012 21:32:30 +0200
[Message part 1 (text/plain, inline)]
On Tue, Apr 17, 2012 at 15:09:05 +0200, Ondřej Surý wrote:

> The only real obstacle is python, but since it started using db5.1, I
> think it won't be a big problem (like bumping from 4.8 to 5.1).
> 
I thought bumping to 5.1 already required ignoring test failures?  That
seems rather like a problem to me.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#658829; Package release.debian.org. (Tue, 17 Apr 2012 21:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 17 Apr 2012 21:39:04 GMT) Full text and rfc822 format available.

Message #55 received at 658829@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Julien Cristau <jcristau@debian.org>
Cc: Ondřej Surý <ondrej@debian.org>, "658829@bugs.debian.org" <658829@bugs.debian.org>
Subject: Re: Bug#658829: transition: db-defaults
Date: Tue, 17 Apr 2012 23:36:40 +0200
I will check with doko, but I think it's no longer true as python has included support for bdb 5.1.

But let me get back to you tomorrow, when I have full internet access.

Ondřej Surý

On 17. 4. 2012, at 21:32, Julien Cristau <jcristau@debian.org> wrote:

> On Tue, Apr 17, 2012 at 15:09:05 +0200, Ondřej Surý wrote:
> 
>> The only real obstacle is python, but since it started using db5.1, I
>> think it won't be a big problem (like bumping from 4.8 to 5.1).
>> 
> I thought bumping to 5.1 already required ignoring test failures?  That
> seems rather like a problem to me.
> 
> Cheers,
> Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#658829; Package release.debian.org. (Tue, 17 Apr 2012 22:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 17 Apr 2012 22:21:05 GMT) Full text and rfc822 format available.

Message #60 received at 658829@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Ondřej Surý <ondrej@sury.org>, 658829@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>, Ondřej Surý <ondrej@debian.org>
Subject: Re: Bug#658829: transition: db-defaults
Date: Wed, 18 Apr 2012 00:20:31 +0200
On 17.04.2012 23:36, Ondřej Surý wrote:
> I will check with doko, but I think it's no longer true as python has included support for bdb 5.1.
>
> But let me get back to you tomorrow, when I have full internet access.
>
> Ondřej Surý
>
> On 17. 4. 2012, at 21:32, Julien Cristau<jcristau@debian.org>  wrote:
>
>> On Tue, Apr 17, 2012 at 15:09:05 +0200, Ondřej Surý wrote:
>>
>>> The only real obstacle is python, but since it started using db5.1, I
>>> think it won't be a big problem (like bumping from 4.8 to 5.1).
>>>
>> I thought bumping to 5.1 already required ignoring test failures?  That
>> seems rather like a problem to me.

there are regressions, but then you do have the option to use the pybsddb3 
module. berkley db is still used as the backend for the dbm module, but I don't 
see any regressions for the dbm tests.

I did see some efforts from the kfreebsd porters to nail these down, but not 
from e.g. sparc porters.

With the same argument it should be safe to build the dbm module with db-5.3 as 
a backend.

  Matthias




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#658829; Package release.debian.org. (Thu, 19 Apr 2012 23:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 19 Apr 2012 23:06:03 GMT) Full text and rfc822 format available.

Message #65 received at 658829@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Ondřej Surý <ondrej@debian.org>, 658829@bugs.debian.org
Subject: Re: Bug#658829: transition: db-defaults
Date: Fri, 20 Apr 2012 00:56:44 +0200
Hi,

On Tue, Apr 17, 2012 at 03:16:55PM +0200, Rene Engelhard wrote:
> On Tue, Apr 17, 2012 at 03:09:05PM +0200, Ondřej Surý wrote:
> > libreoffice: CHECK-NEEDED (but it's so huge and there was no problem before)
> 
> http://cgit.freedesktop.org/libreoffice/core/tree/configure.in?h=libreoffice-3-5#n5113:
> 
> [...]
>     for dbver in 5.1 5.0 5 4.8 4.7 4; do
>         for dash in - ''; do
>             AC_CHECK_HEADER([db$dash$dbver/db.h],
>                 [ db_header="db$dash$dbver/db.h"; break 2 ])
>         done
>     done
> [...]
> 
> -> MANUAL-UPDATE, PATCH-NEEDED

Actually I must have been somewhere else in this universe, this of course is a no-op
in Debian as we've <db/db.h> and -ldb and that should continue to work (not the
dbX.Y/db.h as other distros - what this is for).

So actually libreoffice should be binNMU-able.

Regards,
 
Rene




Changed Bug title to 'transition: db-defaults 5.3' from 'transition: db-defaults' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 13 Jun 2012 19:00:03 GMT) Full text and rfc822 format available.

Added tag(s) wheezy-ignore. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 13 Jun 2012 19:00:03 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://release.debian.org/transitions/html/db5.3.html'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 05 May 2013 21:45:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#658829; Package release.debian.org. (Mon, 06 May 2013 01:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 06 May 2013 01:42:05 GMT) Full text and rfc822 format available.

Message #76 received at 658829@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Ondřej Surý <ondrej@debian.org>, 706895@bugs.debian.org
Cc: 658829@bugs.debian.org
Subject: Re: Bug#706895: transition: db5.3
Date: Mon, 06 May 2013 03:37:59 +0200
Am 05.05.2013 23:22, schrieb Ondřej Surý:
> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: transition
> 
> Hi,
> 
> it's that time again we should prepare to switch to new Berkeley DB
> upstream version.
> 
> This time it's the 5.1 to 5.3 transition.  I expect that there might
> be another upstream release before jessie is out, but since the
> Berkeley DB transitions are so painful, I think it's a good idea to
> practice it a bit, since we only did it correctly once for wheezy.
> 
> I won't be uploading new db-defaults to unstable before you ack this
> transition.

is this really necessary with db 6.x on the horizon?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#658829; Package release.debian.org. (Mon, 06 May 2013 06:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 06 May 2013 06:30:04 GMT) Full text and rfc822 format available.

Message #81 received at 658829@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Matthias Klose <doko@debian.org>
Cc: 658829@bugs.debian.org
Subject: Re: Bug#706895: transition: db5.3
Date: Mon, 6 May 2013 08:25:49 +0200
On Mon, May 6, 2013 at 3:37 AM, Matthias Klose <doko@debian.org> wrote:
> Am 05.05.2013 23:22, schrieb Ondřej Surý:
>> Package: release.debian.org
>> Severity: normal
>> User: release.debian.org@packages.debian.org
>> Usertags: transition
>>
>> Hi,
>>
>> it's that time again we should prepare to switch to new Berkeley DB
>> upstream version.
>>
>> This time it's the 5.1 to 5.3 transition.  I expect that there might
>> be another upstream release before jessie is out, but since the
>> Berkeley DB transitions are so painful, I think it's a good idea to
>> practice it a bit, since we only did it correctly once for wheezy.
>>
>> I won't be uploading new db-defaults to unstable before you ack this
>> transition.
>
> is this really necessary with db 6.x on the horizon?

Absolutelly necessary? No, and I do expect another transition before
the jessie is out (unless we really speed up our release cycles :-)).

But my goal is to get the archive in such shape, so the transitions
from one BDB version to another are smooth as possible, and there are
only very rare case when the package needs to B-D on specific BDB
version.  So, I won't be filling RC bugs when the transition to db 5.3
doesn't happen, but I will actively work with maintainers[1] to make
this happen.

BTW do you have any information on db 6.x?  I haven't seen any nor I
have been able to find any information about it.

O.
1. I'll happily leave out the python and openldap off my list.
--
Ondřej Surý <ondrej@sury.org>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#658829; Package release.debian.org. (Mon, 06 May 2013 16:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 06 May 2013 16:51:05 GMT) Full text and rfc822 format available.

Message #86 received at 658829@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Ondřej Surý <ondrej@debian.org>, 658829@bugs.debian.org
Subject: Re: Bug#658829: Bug#706895: transition: db5.3
Date: Mon, 06 May 2013 18:47:44 +0200
Am 06.05.2013 08:25, schrieb Ondřej Surý:
> BTW do you have any information on db 6.x?  I haven't seen any nor I
> have been able to find any information about it.

see http://bugs.python.org/issue17477




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#658829; Package release.debian.org. (Mon, 06 May 2013 17:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 06 May 2013 17:21:07 GMT) Full text and rfc822 format available.

Message #91 received at 658829@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Matthias Klose <doko@debian.org>
Cc: Ondřej Surý <ondrej@debian.org>, "658829@bugs.debian.org" <658829@bugs.debian.org>
Subject: Re: Bug#658829: Bug#706895: transition: db5.3
Date: Mon, 6 May 2013 19:18:31 +0200
If the information is true then I don't mind waiting couple of months for BDB 6. I just wish Berkeley DB was acquired by some more open company :-/.

The new major version number is also often a culprit for breakages, although I think I have fixed most if not all of them in 4->5 transition.

Ondřej Surý

On 6. 5. 2013, at 18:47, Matthias Klose <doko@debian.org> wrote:

> Am 06.05.2013 08:25, schrieb Ondřej Surý:
>> BTW do you have any information on db 6.x?  I haven't seen any nor I
>> have been able to find any information about it.
> 
> see http://bugs.python.org/issue17477
> 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#658829; Package release.debian.org. (Thu, 09 May 2013 22:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 09 May 2013 22:42:04 GMT) Full text and rfc822 format available.

Message #96 received at 658829@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Ondřej Surý <ondrej@debian.org>, 658829@bugs.debian.org
Subject: Re: Bug#658829: Bug#706895: transition: db5.3
Date: Fri, 10 May 2013 00:40:18 +0200
Am 06.05.2013 08:25, schrieb Ondřej Surý:
> On Mon, May 6, 2013 at 3:37 AM, Matthias Klose <doko@debian.org> wrote:
>> Am 05.05.2013 23:22, schrieb Ondřej Surý:
>>> Package: release.debian.org
>>> Severity: normal
>>> User: release.debian.org@packages.debian.org
>>> Usertags: transition
>>>
>>> Hi,
>>>
>>> it's that time again we should prepare to switch to new Berkeley DB
>>> upstream version.
>>>
>>> This time it's the 5.1 to 5.3 transition.  I expect that there might
>>> be another upstream release before jessie is out, but since the
>>> Berkeley DB transitions are so painful, I think it's a good idea to
>>> practice it a bit, since we only did it correctly once for wheezy.

would be good to fix the s390 build failure for db5.3 first ...




Changed Bug title to 'transition: db-defaults 6.0' from 'transition: db-defaults 5.3' Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Tue, 11 Jun 2013 08:12:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#658829; Package release.debian.org. (Tue, 11 Jun 2013 08:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 11 Jun 2013 08:30:04 GMT) Full text and rfc822 format available.

Message #103 received at 658829@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Matthias Klose <doko@debian.org>
Cc: "658829@bugs.debian.org" <658829@bugs.debian.org>
Subject: Re: Bug#658829: Bug#706895: transition: db5.3
Date: Tue, 11 Jun 2013 10:26:38 +0200
[Message part 1 (text/plain, inline)]
Hi release team and Matthias,

the information from Matthias was correct, and Berkeley DB 6.0 has been
released today, + packaged and uploaded to unstable.

db-defaults has been updated to 6.0 dependencies and uploaded to
experimental.

I don't expect bigger problems with the transition since I think we went
through the biggest hell when transitioning from db4.{7,8} to db5.1, but
there might be still some packages which will need some patching to support
major version bump (although I think I have provided patches for most of
those when the bump from 4 to 5 happened).

We will just remove db5.3 from the archive when python-bsddb3 will
transition from db5.3 to db6.0.

Regards,
Ondrej


On Mon, May 6, 2013 at 7:18 PM, Ondřej Surý <ondrej@sury.org> wrote:

> If the information is true then I don't mind waiting couple of months for
> BDB 6. I just wish Berkeley DB was acquired by some more open company :-/.
>
> The new major version number is also often a culprit for breakages,
> although I think I have fixed most if not all of them in 4->5 transition.
>
> Ondřej Surý
>
> On 6. 5. 2013, at 18:47, Matthias Klose <doko@debian.org> wrote:
>
> > Am 06.05.2013 08:25, schrieb Ondřej Surý:
> >> BTW do you have any information on db 6.x?  I haven't seen any nor I
> >> have been able to find any information about it.
> >
> > see http://bugs.python.org/issue17477
> >
>



-- 
Ondřej Surý <ondrej@sury.org>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#658829; Package release.debian.org. (Sat, 15 Jun 2013 11:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Bernhard R. Link" <brlink@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 15 Jun 2013 11:36:08 GMT) Full text and rfc822 format available.

Message #108 received at 658829@bugs.debian.org (full text, mbox):

From: "Bernhard R. Link" <brlink@debian.org>
To: "658829@bugs.debian.org" <658829@bugs.debian.org>
Cc: Ondřej Surý <ondrej@debian.org>
Subject: Re: Bug#658829: Bug#706895: transition: db5.3
Date: Sat, 15 Jun 2013 13:33:18 +0200
* Ondřej Surý <ondrej@debian.org> [130611 08:27]:
> the information from Matthias was correct, and Berkeley DB 6.0 has been
> released today, + packaged and uploaded to unstable.
>
> db-defaults has been updated to 6.0 dependencies and uploaded to
> experimental.

Are those package also available somewhere while it is still stuck in
NEW? I managed to build something from git but that needed to remove a
patch that already seems to be applied upstream and removing some
signature check to make it build.

> I don't expect bigger problems with the transition since I think we went
> through the biggest hell when transitioning from db4.{7,8} to db5.1, but
> there might be still some packages which will need some patching to support
> major version bump (although I think I have provided patches for most of
> those when the bump from 4 to 5 happened).

The API changes from 5 -> 6 at least break reprepro.

        Bernhard R. Link



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#658829; Package release.debian.org. (Sat, 15 Jun 2013 15:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 15 Jun 2013 15:15:09 GMT) Full text and rfc822 format available.

Message #113 received at 658829@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: "Bernhard R. Link" <brlink@debian.org>
Cc: "658829@bugs.debian.org" <658829@bugs.debian.org>, Ondřej Surý <ondrej@debian.org>
Subject: Re: Bug#658829: Bug#706895: transition: db5.3
Date: Sat, 15 Jun 2013 17:06:17 +0200
The git version was 8 commits behind, I did push the remaining changes few hours ago.

Ondřej Surý

> On 15. 6. 2013, at 13:33, "Bernhard R. Link" <brlink@debian.org> wrote:
> 
> * Ondřej Surý <ondrej@debian.org> [130611 08:27]:
>> the information from Matthias was correct, and Berkeley DB 6.0 has been
>> released today, + packaged and uploaded to unstable.
>> 
>> db-defaults has been updated to 6.0 dependencies and uploaded to
>> experimental.
> 
> Are those package also available somewhere while it is still stuck in
> NEW? I managed to build something from git but that needed to remove a
> patch that already seems to be applied upstream and removing some
> signature check to make it build.
> 
>> I don't expect bigger problems with the transition since I think we went
>> through the biggest hell when transitioning from db4.{7,8} to db5.1, but
>> there might be still some packages which will need some patching to support
>> major version bump (although I think I have provided patches for most of
>> those when the bump from 4 to 5 happened).
> 
> The API changes from 5 -> 6 at least break reprepro.
> 
>        Bernhard R. Link



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#658829; Package release.debian.org. (Sun, 07 Jul 2013 00:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dave Beckett <dave@dajobe.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 07 Jul 2013 00:27:04 GMT) Full text and rfc822 format available.

Message #118 received at 658829@bugs.debian.org (full text, mbox):

From: Dave Beckett <dave@dajobe.org>
To: 658829@bugs.debian.org
Subject: db5.3 transition to db6.0 - license has changed
Date: Sat, 06 Jul 2013 17:22:41 -0700
"Starting with the 6.0 / 12c releases, all Berkeley DB products are licensed
under the GNU AFFERO GENERAL PUBLIC LICENSE (AGPL), version 3."
-- 
http://docs.oracle.com/cd/E17076_03/html/installation/license_change60.html

This probably means that some things cannot link with db6.0 and so will have
to stick with db5

Dave



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#658829; Package release.debian.org. (Thu, 07 Nov 2013 10:24:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Fritsch <sf@sfritsch.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 07 Nov 2013 10:24:09 GMT) Full text and rfc822 format available.

Message #123 received at 658829@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: 658829@bugs.debian.org
Subject: db 6 transition will probably not happen
Date: Thu, 07 Nov 2013 11:22:13 +0100
Since this bug report is pointed to by the PTS, I am adding a pointer 
to the db 5.3 transition:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=706895#26




Changed Bug title to 'transition: db5.3' from 'transition: db-defaults 6.0' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 25 Dec 2013 21:21:08 GMT) Full text and rfc822 format available.

Merged 658829 706895 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 25 Dec 2013 21:21:10 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Julien Cristau <jcristau@debian.org> to 706895-submit@bugs.debian.org. (Mon, 20 Jan 2014 09:15:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to 706895-submit@bugs.debian.org. (Wed, 22 Jan 2014 16:57:11 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 658829: 738382 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 01 Mar 2014 21:45:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 658829: 740486 Request was from Julien Cristau <jcristau@debian.org> to submit@bugs.debian.org. (Sun, 02 Mar 2014 10:39:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 658829: 740487 Request was from Julien Cristau <jcristau@debian.org> to submit@bugs.debian.org. (Sun, 02 Mar 2014 10:45:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 658829: 738645 and 738641 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 02 Mar 2014 10:51:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 658829: 740506 Request was from Julien Cristau <jcristau@debian.org> to submit@bugs.debian.org. (Sun, 02 Mar 2014 12:54:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 658829: 743178 Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Mon, 31 Mar 2014 09:06:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:44:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.